<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Biblioteca</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='css/main.css'>
    
    <script src='js/config.js'></script>
    <script src='js/main.js'></script>

    <script src='js/libro.js'></script>
    <script src='js/zona.js'></script>
    <script src='js/biblioteca.js'></script>


    <script>
        /* 
        console.log(libroConMasPaginas(300))
        console.log(getNumLibros());
        console.log(getResponsables());
        */

      /*  var libro = new Libro("bhjv","bhj",7786,"bhg")
        var zona = new Zona("planta baja", "juan", [libro, libro])
        var biblioteca = new Biblioteca("biblioteca plaza eliptica",[zona, zona])
        */

        var biblioteca = new Biblioteca("biblioteca plaza eliptica",[])
        //biblioteca.loadZonas([zona1,zona2])
        biblioteca.loadJson('json/data.json');

        window.addEventListener('DOMContentLoaded', (event) => {
          
        });

        
        //console.log(biblioteca.transformJSON())

    </script>

</head>
<body>

  <input type="text" id="numeroPaginas" value="0"/>

  <button onclick="
    console.log(
      biblioteca.libroConMasPaginas(
        parseInt(
          document.querySelector('#numeroPaginas').value
          )
        )
      )">
    numero de paginas
  </button>
    
</body>
</html>